Set executor info
curl --request PUT \
--url https://api.example.com/v1/cases/{case_id}/executor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"middle_name": "<string>",
"phone": "<string>",
"date_of_birth": "2023-12-25",
"address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
}
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/executor"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"middle_name": "<string>",
"phone": "<string>",
"date_of_birth": "2023-12-25",
"address": {
"address1": "123 Main Street",
"address2": None,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
middle_name: '<string>',
phone: '<string>',
date_of_birth: '2023-12-25',
address: {
address1: '123 Main Street',
address2: null,
city: 'Salt Lake City',
state: 'UT',
zip: '84101'
}
})
};
fetch('https://api.example.com/v1/cases/{case_id}/executor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"full_name": "John Jonas Johnson",
"first_name": "John",
"middle_name": "Jonas",
"last_name": "Johnson",
"phone": "+11112223333",
"date_of_birth": "1990-06-20",
"address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"email": "john.doe@example.com",
"relationship_to_deceased": "grandchild_step_or_in_law",
"verification_level": "level_2"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Executor
Set executor info
Create or replace the executor’s information.
PUT
/
cases
/
{case_id}
/
executor
Set executor info
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Available options:
spouse, child, grandchild, grandchild_step_or_in_law, parent, sibling, niece_nephew, friend, other Show child attributes
Show child attributes
Available options:
level_0, level_1, level_2, level_3 Response
Executor info set.
Show child attributes
Show child attributes
⌘I

